Index: c/src/lib/libbsp/i386/i386ex/ChangeLog
===================================================================
--- c/src/lib/libbsp/i386/i386ex/ChangeLog	(revision c5dcfd4e0e2d40c35e54c76c2ccde4ef2443614b)
+++ c/src/lib/libbsp/i386/i386ex/ChangeLog	(revision 2c8a9804a54aecf83ae838fea227a27acfbc3ca4)
@@ -1,2 +1,6 @@
+2009-07-01	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	* Makefile.am, preinstall.am: Update for generic interrupt support.
+
 2009-04-28	Chris Johns <chrisj@rtems.org>
 
Index: c/src/lib/libbsp/i386/i386ex/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/i386ex/Makefile.am	(revision c5dcfd4e0e2d40c35e54c76c2ccde4ef2443614b)
+++ c/src/lib/libbsp/i386/i386ex/Makefile.am	(revision 2c8a9804a54aecf83ae838fea227a27acfbc3ca4)
@@ -23,5 +23,8 @@
 
 include_bsp_HEADERS = ../../i386/shared/irq/irq.h \
-    ../../i386/shared/irq/irq_asm.h
+    ../../i386/shared/irq/irq_asm.h \
+    ../../i386/shared/irq/irq-config.h \
+    ../../shared/include/irq-generic.h \
+    ../../shared/include/irq-info.h
 
 noinst_LIBRARIES = libbspstart.a
@@ -44,5 +47,9 @@
     ../../i386/shared/comm/i386-stub-glue.c ../../i386/shared/comm/uart.c \
     ../../shared/gnatinstallhandler.c ../../i386/shared/comm/gdb_glue.c \
-    ../../i386/shared/comm/tty_drv.c ../../i386/shared/irq/irq_asm.S
+    ../../i386/shared/comm/tty_drv.c ../../i386/shared/irq/irq_asm.S \
+    ../../shared/src/irq-generic.c \
+    ../../shared/src/irq-legacy.c \
+    ../../shared/src/irq-info.c \
+    ../../shared/src/irq-shell.c
 # clock
 libbsp_a_SOURCES += clock/ckinit.c
Index: c/src/lib/libbsp/i386/i386ex/preinstall.am
===================================================================
--- c/src/lib/libbsp/i386/i386ex/preinstall.am	(revision c5dcfd4e0e2d40c35e54c76c2ccde4ef2443614b)
+++ c/src/lib/libbsp/i386/i386ex/preinstall.am	(revision 2c8a9804a54aecf83ae838fea227a27acfbc3ca4)
@@ -66,4 +66,16 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/irq_asm.h
 
+$(PROJECT_INCLUDE)/bsp/irq-config.h: ../../i386/shared/irq/irq-config.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/irq-config.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/irq-config.h
+
+$(PROJECT_INCLUDE)/bsp/irq-generic.h: ../../shared/include/irq-generic.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/irq-generic.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/irq-generic.h
+
+$(PROJECT_INCLUDE)/bsp/irq-info.h: ../../shared/include/irq-info.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/irq-info.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/irq-info.h
+
 $(PROJECT_LIB)/start.$(OBJEXT): start.$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
 	$(INSTALL_DATA) $< $(PROJECT_LIB)/start.$(OBJEXT)
Index: c/src/lib/libbsp/i386/pc386/ChangeLog
===================================================================
--- c/src/lib/libbsp/i386/pc386/ChangeLog	(revision c5dcfd4e0e2d40c35e54c76c2ccde4ef2443614b)
+++ c/src/lib/libbsp/i386/pc386/ChangeLog	(revision 2c8a9804a54aecf83ae838fea227a27acfbc3ca4)
@@ -1,2 +1,6 @@
+2009-07-01	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	* Makefile.am, preinstall.am: Update for generic interrupt support.
+
 2009-06-17	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/i386/pc386/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/pc386/Makefile.am	(revision c5dcfd4e0e2d40c35e54c76c2ccde4ef2443614b)
+++ c/src/lib/libbsp/i386/pc386/Makefile.am	(revision 2c8a9804a54aecf83ae838fea227a27acfbc3ca4)
@@ -28,5 +28,8 @@
 
 include_bsp_HEADERS = ../../i386/shared/irq/irq.h \
-    ../../i386/shared/irq/irq_asm.h ../../i386/shared/comm/tty_drv.h
+    ../../i386/shared/irq/irq_asm.h ../../i386/shared/comm/tty_drv.h \
+    ../../i386/shared/irq/irq-config.h \
+    ../../shared/include/irq-generic.h \
+    ../../shared/include/irq-info.h
 
 include_HEADERS += include/crt.h
@@ -94,5 +97,9 @@
     ../../i386/shared/irq/irq.c ../../i386/shared/irq/irq_init.c \
     ../../shared/bootcard.c ../../shared/bspinit.c ../../shared/sbrk.c \
-    startup/ldsegs.S ../../i386/shared/irq/irq_asm.S
+    startup/ldsegs.S ../../i386/shared/irq/irq_asm.S \
+    ../../shared/src/irq-generic.c \
+    ../../shared/src/irq-legacy.c \
+    ../../shared/src/irq-info.c \
+    ../../shared/src/irq-shell.c
 
 # timer
Index: c/src/lib/libbsp/i386/pc386/preinstall.am
===================================================================
--- c/src/lib/libbsp/i386/pc386/preinstall.am	(revision c5dcfd4e0e2d40c35e54c76c2ccde4ef2443614b)
+++ c/src/lib/libbsp/i386/pc386/preinstall.am	(revision 2c8a9804a54aecf83ae838fea227a27acfbc3ca4)
@@ -66,4 +66,16 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/tty_drv.h
 
+$(PROJECT_INCLUDE)/bsp/irq-config.h: ../../i386/shared/irq/irq-config.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/irq-config.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/irq-config.h
+
+$(PROJECT_INCLUDE)/bsp/irq-generic.h: ../../shared/include/irq-generic.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/irq-generic.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/irq-generic.h
+
+$(PROJECT_INCLUDE)/bsp/irq-info.h: ../../shared/include/irq-info.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/irq-info.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/irq-info.h
+
 $(PROJECT_INCLUDE)/crt.h: include/crt.h $(PROJECT_INCLUDE)/$(dirstamp)
 	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/crt.h
Index: c/src/lib/libbsp/i386/ts_386ex/ChangeLog
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/ChangeLog	(revision c5dcfd4e0e2d40c35e54c76c2ccde4ef2443614b)
+++ c/src/lib/libbsp/i386/ts_386ex/ChangeLog	(revision 2c8a9804a54aecf83ae838fea227a27acfbc3ca4)
@@ -1,2 +1,6 @@
+2009-07-01	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	* Makefile.am, preinstall.am: Update for generic interrupt support.
+
 2009-04-28	Chris Johns <chrisj@rtems.org>
 
Index: c/src/lib/libbsp/i386/ts_386ex/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/Makefile.am	(revision c5dcfd4e0e2d40c35e54c76c2ccde4ef2443614b)
+++ c/src/lib/libbsp/i386/ts_386ex/Makefile.am	(revision 2c8a9804a54aecf83ae838fea227a27acfbc3ca4)
@@ -27,5 +27,8 @@
 
 include_bsp_HEADERS = ../../i386/shared/irq/irq.h \
-    ../../i386/shared/irq/irq_asm.h
+    ../../i386/shared/irq/irq_asm.h \
+    ../../i386/shared/irq/irq-config.h \
+    ../../shared/include/irq-generic.h \
+    ../../shared/include/irq-info.h
 
 noinst_LIBRARIES = libbspstart.a
@@ -50,5 +53,9 @@
     ../../i386/shared/comm/i386-stub-glue.c ../../i386/shared/comm/uart.c \
     ../../shared/gnatinstallhandler.c ../../i386/shared/comm/gdb_glue.c \
-    ../../i386/shared/comm/tty_drv.c ../../i386/shared/irq/irq_asm.S
+    ../../i386/shared/comm/tty_drv.c ../../i386/shared/irq/irq_asm.S \
+    ../../shared/src/irq-generic.c \
+    ../../shared/src/irq-legacy.c \
+    ../../shared/src/irq-info.c \
+    ../../shared/src/irq-shell.c
 # clock
 libbsp_a_SOURCES += clock/ckinit.c clock/rtc.c
Index: c/src/lib/libbsp/i386/ts_386ex/preinstall.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/preinstall.am	(revision c5dcfd4e0e2d40c35e54c76c2ccde4ef2443614b)
+++ c/src/lib/libbsp/i386/ts_386ex/preinstall.am	(revision 2c8a9804a54aecf83ae838fea227a27acfbc3ca4)
@@ -66,4 +66,16 @@
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/irq_asm.h
 
+$(PROJECT_INCLUDE)/bsp/irq-config.h: ../../i386/shared/irq/irq-config.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/irq-config.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/irq-config.h
+
+$(PROJECT_INCLUDE)/bsp/irq-generic.h: ../../shared/include/irq-generic.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/irq-generic.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/irq-generic.h
+
+$(PROJECT_INCLUDE)/bsp/irq-info.h: ../../shared/include/irq-info.h $(PROJECT_INCLUDE)/bsp/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/bsp/irq-info.h
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/bsp/irq-info.h
+
 $(PROJECT_LIB)/start.$(OBJEXT): start.$(OBJEXT) $(PROJECT_LIB)/$(dirstamp)
 	$(INSTALL_DATA) $< $(PROJECT_LIB)/start.$(OBJEXT)
